curl https://production.methodfi.com/reports/rpt_cj2mkA3hFyHT5/download \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reportCSV = await method.reports.download('rpt_cj2mkA3hFyHT5');
report_csv = method.reports.download('rpt_cj2mkA3hFyHT5')
Reports
Download a Report
GET
/
reports
/
{rpt_id}
/
download
curl https://production.methodfi.com/reports/rpt_cj2mkA3hFyHT5/download \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reportCSV = await method.reports.download('rpt_cj2mkA3hFyHT5');
report_csv = method.reports.download('rpt_cj2mkA3hFyHT5')
Returns the results of the Report associated with the ID.
Path Parameters
Returns
Returns the Report’s results in CSV format.curl https://production.methodfi.com/reports/rpt_cj2mkA3hFyHT5/download \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const reportCSV = await method.reports.download('rpt_cj2mkA3hFyHT5');
report_csv = method.reports.download('rpt_cj2mkA3hFyHT5')